

#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;
varying vec3 v_pos; 
uniform sampler2D u_sampler;
uniform sampler2D u_sampler_blur;
uniform sampler2D u_sampler_depth;

uniform float u_aspect;
uniform float u_blur_scale;
uniform float u_blur_value;
uniform float u_blur_value_factor;

void main() {

    vec4 c = texture2D(u_sampler, v_uv);
    vec4 c_blur = texture2D(u_sampler_blur, v_uv);
    
    float blur_base = u_blur_scale; 
    
    float blur_offset = u_blur_value * u_blur_value_factor + (1.0 - u_blur_value_factor)*(blur_base * c_blur.r); // , blur_base * c_blur.r * u_aspect );
	
	/*
	// FOV
	float depth = texture2D(u_sampler_depth, v_uv).x*2.0-1.0;
	depth = pow( 2.0*clamp(depth - 0.5, 0.0, 0.5), 4.0 );
	blur_offset = blur_offset*0.00001 + blur_base * depth;
	*/
	
		
	vec2 uv0 = v_uv + vec2(0.0,  -3.0*blur_offset);
	vec2 uv1 = v_uv + vec2(0.0,  -2.0*blur_offset);
	vec2 uv2 = v_uv + vec2(0.0,  -1.0*blur_offset);
	vec2 uv3 = v_uv + vec2(0.0,   0.0            );
	vec2 uv4 = v_uv + vec2(0.0,   1.0*blur_offset);
	vec2 uv5 = v_uv + vec2(0.0,   2.0*blur_offset);
	vec2 uv6 = v_uv + vec2(0.0,   3.0*blur_offset);
	 
	vec4 c0 = texture2D(u_sampler, uv0);
	vec4 c1 = texture2D(u_sampler, uv1);
	vec4 c2 = texture2D(u_sampler, uv2);
	vec4 c3 = texture2D(u_sampler, uv3);
	vec4 c4 = texture2D(u_sampler, uv4);
	vec4 c5 = texture2D(u_sampler, uv5);
	vec4 c6 = texture2D(u_sampler, uv6);
	 
	vec4 sum = ( 1.0*c0 + 2.0*c1 + 4.0*c2 + 8.0*c3 + 4.0*c4 + 2.0*c5 + 1.0*c6 ) / 22.0;
	
    //vec4 sum_edge = -1.0*c1 + 1.0*c5;
    //sum = sum + sum_edge;

	//gl_FragColor = vec4( depth, depth, 0.0, 1.0 );
	
    gl_FragColor = vec4(vec3(sum), 1.0);


}

